Skip to main content
GET
List service JWT providers
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Returns the JWT authentication providers configured on the service. A service has at most 5 providers.
Errors:
  • 401: missing, invalid, or disabled API key.
  • 403: caller lacks control-plane:service:manage on the service, or the organization does not have the JWT authentication providers feature (Enterprise tier).
  • 404: service does not exist or is not visible to the caller.

Permission

The API key must have the control-plane:service:manage permission.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object[]